Project/src/beans/BreakTweetBeans.java
package beans;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class BreakTweetBeans implements Serializable{
	private int BtweetId;
	private String Name;
	private String Tweet;
	private Date TweetTime;
	private int GoodId;
	private String UserId;
	private int ContentsId;

	public BreakTweetBeans(int BtweetId, String Name, String Tweet, Date tweettime, int GoodId, String UserId, int ContentsId) {
		this.BtweetId = BtweetId;
		this.Name = Name;
		this.Tweet = Tweet;
		this.TweetTime = tweettime;
		this.GoodId = GoodId;
		this.UserId = UserId;
		this.ContentsId = ContentsId;
	}

	public int getBtweetId() {
		return BtweetId;
	}

	public void setBtweetId(int btweetId) {
		BtweetId = btweetId;
	}

	public String getName() {
		return Name;
	}

	public void setName(String name) {
		Name = name;
	}

	public String getTweet() {
		return Tweet;
	}

	public void setTweet(String tweet) {
		Tweet = tweet;
	}

	public int getGoodId() {
		return GoodId;
	}

	public void setGoodId(int goodId) {
		GoodId = goodId;
	}

	public String getUserId() {
		return UserId;
	}

	public void setUserId(String userId) {
		UserId = userId;
	}

	public int getContentsId() {
		return ContentsId;
	}

	public void setContentsId(int contentsId) {
		ContentsId = contentsId;
	}

	public Date getTweetTime() {
		return TweetTime;
	}

	public void setTweetTime(Date tweetTime) {
		TweetTime = tweetTime;
	}
	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日");
		return sdf.format(TweetTime);
	}

}

Project/src/controller/BulletinBoardServlet.java
package controller;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.ContentsBeans;
import beans.LikeitTweetBeans;
import dao.LikeitBulletinBordDao;
import dao.TableOfContentsDao;

/**
 * Servlet implementation class BulletinBoardServlet
 */
@WebServlet("/BulletinBoardServlet")
public class BulletinBoardServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BulletinBoardServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

    String contentsId = request.getParameter("contentsId");
    TableOfContentsDao TOCdao = new TableOfContentsDao();
    LikeitBulletinBordDao LBBdao = new LikeitBulletinBordDao();

	List<ContentsBeans> ContentsBeans = null;

	List<LikeitTweetBeans> TweetInfoList = LBBdao.findAll(contentsId);
	// リクエストスコープにセット
	request.setAttribute("TweetInfoList", TweetInfoList);
	try {
		ContentsBeans = TOCdao.findByAll(contentsId);
	} catch (NoSuchAlgorithmException e) {
		// TODO 自動生成された catch ブロック
		e.printStackTrace();
	}
    for(ContentsBeans contents : ContentsBeans) {
      request.setAttribute("contents", contents);
    }
          int sum = 0;
		  int average = 0;
		  int num = TweetInfoList.size();
		for(LikeitTweetBeans Tweet : TweetInfoList) {
			sum += Tweet.getYouGood();
		    average = sum / num;

		// リクエストスコープにセット
		request.setAttribute("average", average);
		}
    	// ログインjspにフォワード
    				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Bulletinboard.jsp");
    				dispatcher.forward(request, response);
    	            return;
	}
}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
//			 ログインセッションがある場合、ユーザ一覧画面にリダイレクトさせる
			HttpSession session = request.getSession(false);
			if (session == null){
				  /* まだ認証されていない */
				  session = request.getSession(true);
				// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Login.jsp");
					dispatcher.forward(request, response);
		            return;
				}else{
				  Object loginCheck = session.getAttribute("userInfo");
				  if (loginCheck == null){
				    /* まだ認証されていない */
					// フォワード
						RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Login.jsp");
						dispatcher.forward(request, response);
			            return;
				  }
				}			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/TableOfContents.jsp");
			dispatcher.forward(request, response);
            return;
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
        // リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		// リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
		UserDao userdao = new UserDao();
		UserBeans user = null;
		try {
			user = userdao.findByLoginInfo(loginId, password);
		} catch (NoSuchAlgorithmException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}

		/** テーブルに該当のデータが見つからなかった場合 **/
		if (user == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインに失敗しました。");

			// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Login.jsp");
			dispatcher.forward(request, response);
            return;
		}

		/** テーブルに該当のデータが見つかった場合 **/
		// セッションにユーザの情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);

		// 目次にフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/TableOfContents.jsp");
		dispatcher.forward(request, response);
		 return;
	}

}

Project/src/controller/TableOfContentsServlet.java
package controller;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.BreakTweetBeans;
import beans.ConsultationTweetBeans;
import beans.ContentsBeans;
import dao.BreakBulletinBoardDao;
import dao.ConsultationBulletinBoardDao;
import dao.TableOfContentsDao;


/**
 * Servlet implementation class TableOfContentsServlet
 */
@WebServlet("/TableOfContentsServlet")
public class TableOfContentsServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public TableOfContentsServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String UnitId = request.getParameter("unitId");

		TableOfContentsDao TOCdao = new TableOfContentsDao();

				if(UnitId .equals("1")) {
			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/JavaTableOfContents.jsp");
			dispatcher.forward(request, response);
	        return;
				}else if(UnitId .equals("2")){
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/SQLTableOfContents.jsp");
					dispatcher.forward(request, response);
			        return;

				}else if(UnitId .equals("3")){
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/WebTableOfContents.jsp");
					dispatcher.forward(request, response);
			        return;

				}else if(UnitId .equals("4")){
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/RefactoringTableOfContents.jsp");
					dispatcher.forward(request, response);
			        return;

				}else if(UnitId .equals("5")){
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/PersonalDevelopmentTableOfContents.jsp");
					dispatcher.forward(request, response);
			        return;

				}else if(UnitId .equals("6")){
					List<ContentsBeans> ContentsBeans = null;
					ConsultationBulletinBoardDao CBBdao = new ConsultationBulletinBoardDao();
					String ContentsId = "601";
					try {
						ContentsBeans = TOCdao.findByAll(ContentsId);
					} catch (NoSuchAlgorithmException e) {
						// TODO 自動生成された catch ブロック
						e.printStackTrace();
					}
					for(ContentsBeans contents : ContentsBeans) {
						request.setAttribute("contents", contents);
					}
						List<ConsultationTweetBeans> TweetInfoList = CBBdao.findAll(ContentsId);
						request.setAttribute("TweetInfoList", TweetInfoList);
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/BulletinboardConsultation.jsp");
					dispatcher.forward(request, response);
			        return;

				}else if(UnitId.equals("7")){
					List<ContentsBeans> ContentsBeans = null;
					  BreakBulletinBoardDao BBBdao = new BreakBulletinBoardDao();
					String ContentsId = "701";
					try {
						ContentsBeans = TOCdao.findByAll(ContentsId);
					} catch (NoSuchAlgorithmException e) {
						// TODO 自動生成された catch ブロック
						e.printStackTrace();
					}
					for(ContentsBeans contents : ContentsBeans) {
						// リクエストスコープにセット
				        request.setAttribute("contents", contents);
					}
						List<BreakTweetBeans> TweetInfoList = BBBdao.findAll(ContentsId);
						request.setAttribute("TweetInfoList", TweetInfoList);
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/BulletinboardBreak.jsp");
					dispatcher.forward(request, response);
			        return;
		}
	}
}

Project/src/controller/UserInformationServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class UserInformationServlet
 */
@WebServlet("/UserInformationServlet")
public class UserInformationServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserInformationServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// URLからGETパラメータとしてIDを受け取る
					String LoginId = request.getParameter("loginId");

			        //idを引数にして、idに紐づくユーザ情報を出力する
					UserDao userdao = new UserDao();
					List<UserBeans> userlist = userdao.findByLoginId(LoginId);

					for(UserBeans user : userlist) {

					// ユーザ情報をリクエストスコープにセットしてjspにフォワード
			         user.setId(user.getId());
			         user.setLoginId(user.getLoginId());
			         user.setName(user.getName());
			         user.setBirthDate(user.getBirthDate());
			         user.setCreateDate(user.getCreateDate());
			         user.setUpdateDate(user.getUpdateDate());

			         request.setAttribute("user", user);
			      // JSPへフォワード
			         RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserInformation.jsp");
			         dispatcher.forward(request, response);
			            return;
					}
	     }
}

Project/src/controller/UserRegistrationServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class UserRegistrationServlet
 */
@WebServlet("/UserRegistrationServlet")
public class UserRegistrationServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public UserRegistrationServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//ユーザー登録画面のjspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの取得
		String loginId = request.getParameter("loginId");
		String password1 = request.getParameter("password1");
		String password2 = request.getParameter("password2");
		String name = request.getParameter("name");
		String birthdate = request.getParameter("birthdate");

		// ユーザ一覧情報を登録
		UserDao userdao = new UserDao();
		String loginid = userdao.findByloginId(loginId);

		/** 既に登録されているログインIDが入力された場合。
		　- パスワードとパスワード(確認)の入力内容が異なる場合
		　- 入力項目に1つでも未入力のものがある場合*/
		if (loginid != null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインIDは既に使用されています。");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (loginId == "") {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインIDが入力されていません。");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (password1 == "") {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "パスワードが入力されていません。");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (password2 == "") {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "パスワード(確認)が入力されていません");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (name == "") {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ユーザー名が入力されていません");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (birthdate == "") {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "生年月日が入力されていません。");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else if (!(password1.equals(password2))) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "パスワードが正しくありません。");

			// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration.jsp");
			dispatcher.forward(request, response);
			return;
		} else {
		    UserBeans userbeans = new UserBeans(loginId, name, birthdate, password1);
		    request.setAttribute("userbeans", userbeans);
		// jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/UserRegistration(Verification).jsp");
		    dispatcher.forward(request, response);
				return;
		}
	}
}

Project/WebContent/WEB-INF/jsp/Bulletinboard.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
    <!-- jQueryの読込 -->
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<!-- RateItの読込 ... （1） -->
<link href="js/RateIt/rateit.css" rel="stylesheet" type="text/css" />
<script src="js/RateIt/jquery.rateit.min.js"></script>

<script>
    $(function() {
        // RateItの設定 ...（2）
        $("#rateit1").rateit();
    });
</script>
	<title>掲示板（LIKEIT）</title>

	<link rel="stylesheet" href="css/BB.css">
</head>

<body bgcolor=#e0ffff>
	<div class="line"></div>
	<p class="h1">LIKEIT</p>

	<div class="line1"></div>
	<p class="h2">${contents.contentsName}</p>

	<a href="TableOfContentsServlet?unitId=${contents.unitId}"><p class="h9">«</p></a>
	<a href="UserInformationServlet?loginId=${userInfo.loginId}"><p class="h10">☺</p></a>
	<a href="LoginServlet?loginId=${userInfo.loginId}"><p class="h11">✎</p></a>
	<a href="LogoutServlet?userInfo=${userInfo}"><p class="h12">⍈</p></a>

	<c:if test="${average != NULL}">
         <div class="box2">
		 <p class="h4">難易度</p>
		 <!-- 難易度の表示 -->
		 <p><span class="h3" data-rate="${average}"></span></p>
	    </div>
	</c:if>

	     <c:if test="${errMsg != null}" >
        <a class=h8>${errMsg}</a>
　　　　　</c:if>

<div class="box5">
	<!-- tweetの表示欄 -->
		<c:forEach var="tweet" items="${TweetInfoList}">
		<div class="box3">
		<p class="h5">${tweet.name}</p>
		<p class="h7">${tweet.tweet}</p>
		<p class="h6">${tweet.formatDate}</p>
		<!-- 個人の難易度評価 -->
		<p><span class="h8" data-rate="${tweet.youGood}"></span></p>
		<!-- 言い値の数 -->
		<div class="balloon"><span class="number">${tweet.goodId}</span></div>
        <!-- いいねマーク -->
		<div class="like"><a type="botton" name="good" href="GoodServlet?loginId=${userInfo.loginId}&contentsId=${contents.contentsId}&LtweetId=${tweet.ltweetId}" class="btn">👍</a></div>
		</div><br>
		</c:forEach>
</div>

<form action="BulletinBordLikeit" method="post">
	    <input type="hidden" name="name" value="${userInfo.name}">
	    <input type="hidden" name="loginId" value="${userInfo.loginId}">
        <input type="hidden" name="contentsId" value="${contents.contentsId}">

　　　　　<!-- 投稿欄 -->
		<textarea name="tweet" cols="15" rows="5" class="box"></textarea>

        <div class="box4"></div>
		<label class="h13">難易度：<input type="range" name="nanido" step="0.5" min="0" max="5" ></label>

	  <input type="submit" value="投稿" class="submit">
	</form>

</body>

</html>

Project/WebContent/WEB-INF/jsp/BulletinboardBreak.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    <!-- jQueryの読込 -->
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<!-- RateItの読込 ... （1） -->
<link href="js/RateIt/rateit.css" rel="stylesheet" type="text/css" />
<script src="js/RateIt/jquery.rateit.min.js"></script>

<script>
    $(function() {
        // RateItの設定 ...（2）
        $("#rateit1").rateit();
    });
</script>
	<title>掲示板（趣味）</title>
	<link rel="stylesheet" href="css/BBB.css">

</head>

	<body bgcolor=#E6FFE9>
    <div class="line"></div>
        <p class="h1">LIKEIT</p>

        <div class="line1"></div>
        <p class="h2">${contents.contentsName}</p>

        <a href="LoginServlet?loginId=${userInfo.loginId}"><p class="h9">«</p></a>
        <a href="UserInformationServlet?loginId=${userInfo.loginId}"><p class="h10">☺</p></a>
        <a href="LoginServlet?loginId=${userInfo.loginId}"><p class="h11">✎</p></a>
        <a href="LogoutServlet?userInfo=${userInfo}"><p class="h12">⍈</p></a>

       <div class="box5">
	   <!-- tweetの表示欄 -->
        <c:forEach var="tweet" items="${TweetInfoList}">
        <div class="box3">
        <p class="h5">${tweet.name}</p>
        <p class="h7">${tweet.tweet}</p>
        <p class="h6">${tweet.formatDate}</p>
        <!-- 言い値の数 -->
		<div class="balloon"><span class="number">${tweet.goodId}</span></div>
        <!-- いいねマーク -->
		<div class="like"><a type="botton" name="good" href="GoodServlet?loginId=${userInfo.loginId}&contentsId=${contents.contentsId}&BtweetId=${tweet.btweetId}" class="btn">👍</a></div>
		</div><br>
        </c:forEach>
        </div>

        <c:if test="${errMsg != null}" >
        <a class=h8>${errMsg}</a>
　　　　　</c:if>

        <form action="BulletinBordBreak" method="post">
            <input type="hidden" name="name" value="${userInfo.name}">
	        <input type="hidden" name="loginId" value="${userInfo.loginId}">
            <input type="hidden" name="contentsId" value="${contents.contentsId}">

            <!-- 投稿欄 -->
            <textarea name="tweet" cols="15" rows="5" class="box"></textarea>

            <input type="submit" value="投稿" class="submit">
        </form>
	</body>

</html>

Project/WebContent/WEB-INF/jsp/JavaTableOfContents.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>目次（Java）</title>
	<link rel="stylesheet" href="css/JTOC.css">
</head>

	<body>
    <div class="line"></div>
        <p class="h1">LIKEIT</p>

        <a href="LoginServlet?loginId=${userInfo.loginId}"><p class="h22">«</p></a>
        <a href="UserInformationServlet?loginId=${userInfo.loginId}"><p class="h23">☺</p></a>
        <a href="LoginServlet?loginId=${userInfo.loginId}"><p class="h24">✎</p></a>
        <a href="LogoutServlet?userInfo=${userInfo}"><p class="h25">⍈</p></a>

        <div class="line1"></div>
        <p class="h3">Java基礎</p>


<a href="BulletinBoardServlet?contentsId=101"><p class="h4">1.Javaを始めよう</p></a>
<a href="BulletinBoardServlet?contentsId=102"><p class="h5">2.プログラミングの基本構造</p></a>
<a href="BulletinBoardServlet?contentsId=103"><p class="h6">3.変数・式と演算子</p></a>
<a href="BulletinBoardServlet?contentsId=104"><p class="h7">4.条件分岐</p></a>
<a href="BulletinBoardServlet?contentsId=105"><p class="h8">5.繰り返し</p></a>
<a href="BulletinBoardServlet?contentsId=106"><p class="h9">6.配列</p></a>
<a href="BulletinBoardServlet?contentsId=107"><p class="h10">7.メソッド</p></a>
<a href="BulletinBoardServlet?contentsId=108"><p class="h11">8.複数のクラスを用いた開発</p></a>
<a href="BulletinBoardServlet?contentsId=109"><p class="h12">9.オブジェクト指向</p></a>
<a href="BulletinBoardServlet?contentsId=110"><p class="h13">10.インスタンスとクラス</p></a>
<a href="BulletinBoardServlet?contentsId=111"><p class="h14">11.さまざまなクラス機構</p></a>
<a href="BulletinBoardServlet?contentsId=112"><p class="h15">12.カプセル化</p></a>
<a href="BulletinBoardServlet?contentsId=113"><p class="h16">13.継承</p></a>
<a href="BulletinBoardServlet?contentsId=114"><p class="h17">14.高度な継承</p></a>
<a href="BulletinBoardServlet?contentsId=115"><p class="h18">15.多様性</p></a>
<a href="BulletinBoardServlet?contentsId=116"><p class="h19">16.標準クラス</p></a>
<a href="BulletinBoardServlet?contentsId=117"><p class="h20">17.例外</p></a>
<a href="BulletinBoardServlet?contentsId=118"><p class="h21">18.コレクション</p></a>

	</body>
</html>